## ros-kinetic-rcdiscover 1.0.3

=== CMakeLists.txt ===
# rcdiscover - the network discovery tool for Roboception devices
#
# Copyright (c) 2019 Roboception GmbH
# All rights reserved
#
# Author: Heiko Hirschmueller
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# 3. Neither the name of the copyright holder nor the names of its contributors
# may be used to endorse or promote products derived from this software without
# specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

cmake_minimum_required (VERSION 2.8.12)

project(rcdiscover)

include(cmake/install_dirs.cmake)
include(cmake/project_name.cmake)
include(cmake/project_version.cmake)

# For CMake Version >= 3.0: issue FATAL_ERROR if link dependency contains
# double-colons but is not an imported target.
if (POLICY CMP0028)
  cmake_policy(SET CMP0028 NEW)
endif ()

enable_testing()


# - Configuration for code optimization -

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build type: DEBUG or RELEASE" FORCE)
endif ()

# - Standard definitions -

if (CMAKE_COMPILER_IS_GNUCC)
  add_definitions(-Wall)
  add_definitions(-Wextra)
  add_definitions(-Wpedantic)
  add_definitions(-Wconversion)
  add_definitions(-Werror)
endif ()

if (CMAKE_VERSION VERSION_LESS "3.1.0")
  add_definitions(-std=c++11)
else ()
  set(CMAKE_CXX_STANDARD 11)
endif ()

if (WIN32)
  add_definitions(-DWIN32)
  set(CMAKE_C_FLAGS "-mtune=generic -mno-abm")
  set(CMAKE_CXX_FLAGS "-mtune=generic -mno-abm")
  set(CMAKE_CXX_FLAGS_DEBUG "-O0")
  set(CMAKE_CXX_FLAGS_RELEASE "-O2")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc -static-libstdc++ -static")
endif ()

option(BUILD_RCDISCOVER_CLI "build rcdiscover commandline tool" ON)
option(BUILD_RCDISCOVER_SHARED_LIB "build rcdiscover shared library" ON)
option(BUILD_RCDISCOVER_GUI "build rcdiscover-gui GUI tool" OFF)

if (WIN32)
  set(BUILD_RCDISCOVER_SHARED_LIB OFF CACHE BOOL "Override option" FORCE)
endif ()

# - Build individual parts -
add_subdirectory(rcdiscover)
add_subdirectory(tools)

# - Define information for packaging -
if (BUILD_RCDISCOVER_SHARED_LIB)
  set(PROJECT_LIBRARIES rcdiscover)
  install(FILES package.xml COMPONENT bin DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME_LOWER})
endif()

include(cmake/configure_link_libs.cmake)


if (UNIX)
  # install example sysctl config to disable reverse path filtering
  install(FILES debian/50-rcdiscover-rpfilter.conf COMPONENT bin DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/rcdiscover)
endif ()

include(cmake/package_debian.cmake)

=== rcdiscover/CMakeLists.txt ===
# rcdiscover - the network discovery tool for Roboception devices
#
# Copyright (c) 2019 Roboception GmbH
# All rights reserved
#
# Author: Heiko Hirschmueller
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# 3. Neither the name of the copyright holder nor the names of its contributors
# may be used to endorse or promote products derived from this software without
# specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

project(rcdiscover CXX)

if (UNIX)
  find_package( Threads REQUIRED)
endif ()

add_definitions(-DHAVE_PCAP)

set(rcdiscover_src
        deviceinfo.cc
        discover.cc
        force_ip.cc
        operation_not_permitted.cc
        wol_exception.cc
        socket_exception.cc
        ping.cc
        wol.cc
        gige_request_counter.cc
        )
set(rcdiscover_hh
        deviceinfo.h
        discover.h
        force_ip.h
        operation_not_permitted.h
        wol_exception.h
        socket_exception.h
        socket.h
        ping.h
        wol.h
        gige_request_counter.h
        utils.h)

if (WIN32)
  set(rcdiscover_src ${rcdiscover_src} socket_windows.cc)
  set(rcdiscover_hh ${rcdiscover_hh} socket_windows.h)
else (WIN32)
  set(rcdiscover_src ${rcdiscover_src} socket_linux.cc)
  set(rcdiscover_hh ${rcdiscover_hh} socket_linux.h)
endif (WIN32)

# Static library
add_library(rcdiscover_static STATIC ${rcdiscover_src})
add_library(${PROJECT_NAMESPACE}::rcdiscover_static ALIAS rcdiscover_static)
if (UNIX)
    target_link_libraries (rcdiscover_static PUBLIC ${CMAKE_THREAD_LIBS_INIT})
endif(UNIX)
target_include_directories(rcdiscover_static
        PUBLIC
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
        $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}>
        $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>)

# Install shared library
if (BUILD_RCDISCOVER_SHARED_LIB)
  message(STATUS "Building shared library: rcdiscover")
  add_library(rcdiscover SHARED ${rcdiscover_src})
  add_library(${PROJECT_NAMESPACE}::rcdiscover  ALIAS rcdiscover )
  target_include_directories(rcdiscover
          PUBLIC
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
        $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}>
        $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>)

  set_target_properties(rcdiscover PROPERTIES SOVERSION ${abiversion})
  target_compile_options(rcdiscover PRIVATE $<$<CXX_COMPILER_ID:GNU>:-Wall>)
  if (UNIX)
    target_link_libraries (rcdiscover ${CMAKE_THREAD_LIBS_INIT})
  endif(UNIX)

  install(TARGETS rcdiscover
          EXPORT PROJECTTargets
          COMPONENT bin
          ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
          LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
          RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
  install(FILES ${rcdiscover_hh} COMPONENT dev DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/rcdiscover)
endif()

=== tools/CMakeLists.txt ===
# rcdiscover - the network discovery tool for Roboception devices
#
# Copyright (c) 2019 Roboception GmbH
# All rights reserved
#
# Author: Heiko Hirschmueller
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# 3. Neither the name of the copyright holder nor the names of its contributors
# may be used to endorse or promote products derived from this software without
# specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.

project(tools CXX)

# build programs

#
# rcdiscover commandline program
#
if (BUILD_RCDISCOVER_CLI)
  add_executable(rcdiscover-cli
    rcdiscover.cc
    rcdiscover-cli/rcdiscover_discover.cc
    rcdiscover-cli/rcdiscover_reconnect.cc
    rcdiscover-cli/rcdiscover_force_ip.cc
    rcdiscover-cli/rcdiscover_reset.cc
    rcdiscover-cli/cli_utils.cc)
  target_link_libraries(rcdiscover-cli ${PROJECT_NAMESPACE}::rcdiscover_static)

  if (WIN32)
    target_link_libraries(rcdiscover-cli iphlpapi.lib ws2_32.lib)
    set_target_properties(rcdiscover-cli PROPERTIES LINK_FLAGS -mconsole)
  endif(WIN32)
  set_target_properties(rcdiscover-cli PROPERTIES OUTPUT_NAME "rcdiscover")
  install(TARGETS rcdiscover-cli COMPONENT bin DESTINATION bin)
endif ()


#
# rcdiscover-gui program
#
if(BUILD_RCDISCOVER_GUI)
  # - Find manditory packages -
  set(wxWidgets_USE_STATIC ON)
  set(wxWidgets_USE_UNICODE ON)
  find_package(wxWidgets REQUIRED COMPONENTS html adv core base)
  include(${wxWidgets_USE_FILE})

  set(rcdiscover-gui-src
    rcdiscover-gui.cc
    rcdiscover-gui/event-ids.cc
    rcdiscover-gui/discover-frame.cc
    rcdiscover-gui/discover-thread.cc
    rcdiscover-gui/sensor-command-dialog.cc
    rcdiscover-gui/reset-dialog.cc
    rcdiscover-gui/force-ip-dialog.cc
    rcdiscover-gui/reconnect-dialog.cc
    rcdiscover-gui/about-dialog.cc
    rcdiscover-gui/resources.cc)

  if (WIN32)
    if(MINGW)
      set(CMAKE_RC_COMPILER_INIT windres)
      ENABLE_LANGUAGE(RC)
      SET(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> -O coff <DEFINES> -i <SOURCE> -o <OBJECT> <INCLUDES>")
    endif(MINGW)

    add_executable(rcdiscover-gui
      ${rcdiscover-gui-src}
      rcdiscover-gui/resources/resources.rc)

  else (WIN32)
    add_executable(rcdiscover-gui ${rcdiscover-gui-src})
  endif (WIN32)

  target_include_directories(rcdiscover-gui
    PRIVATE
      ${wxWidgets_INCLUDE_DIRS}
  )
  target_link_libraries(rcdiscover-gui ${PROJECT_NAMESPACE}::rcdiscover_static ${wxWidgets_LIBRARIES})

  if (WIN32)
    target_link_libraries(rcdiscover-gui iphlpapi.lib ws2_32.lib uxtheme)
    set_target_properties(rcdiscover-gui PROPERTIES LINK_FLAGS -mwindows)
  endif (WIN32)

  install(TARGETS rcdiscover-gui COMPONENT gui DESTINATION bin)

  if (UNIX AND NOT APPLE)
    if (NOT CMAKE_INSTALL_DATADIR)
      set(CMAKE_INSTALL_DATADIR ${CMAKE_INSTALL_PREFIX}/share)
    endif ()
    install(FILES rcdiscover-gui/resources/rcdiscover-gui.desktop
            COMPONENT gui
            DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
    install(FILES rcdiscover-gui/resources/logo_32.png
            COMPONENT gui
            DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps
            RENAME rcdiscover-gui.png)
    install(FILES rcdiscover-gui/resources/logo_64.png
            COMPONENT gui
            DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps
            RENAME rcdiscover-gui.png)
    install(FILES rcdiscover-gui/resources/logo_128.png
            COMPONENT gui
            DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps
            RENAME rcdiscover-gui.png)
    install(FILES rcdiscover-gui/resources/logo_32.png
            COMPONENT gui
            DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps
            RENAME rcdiscover-gui.png)
  endif ()
endif(BUILD_RCDISCOVER_GUI)

=== debian/changelog ===
ros-kinetic-rcdiscover (1.0.3-1xenial) xenial; urgency=high

  * fix mapping of reachability flag in the GUI
  * more generic naming as it can also be used for other GEV devices
  * only show rc_visards in "reset" dialog

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 21 Mar 2020 23:00:00 -0000

ros-kinetic-rcdiscover (1.0.2-1xenial) xenial; urgency=high

  * Added filtering by model name in command line tool
  * Do not append alternative interface to output of cli if --serialonly or --iponly is given

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 11 Dec 2019 23:00:00 -0000

ros-kinetic-rcdiscover (1.0.1-1xenial) xenial; urgency=high

  * rename CMAKE options from INSTALL_x to BUILD_x
  * improve debian packaging via CPack

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 15 Sep 2019 22:00:00 -0000

ros-kinetic-rcdiscover (1.0.0-1xenial) xenial; urgency=high

  * fix wildcard matching
  * allow filtering by interface
  * print interface on which the device was found
  * also build shared lib for use in other packages
  * make it possible to release as ROS third party package

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 03 Jun 2019 22:00:00 -0000

ros-kinetic-rcdiscover (0.9.2-1xenial) xenial; urgency=high

  * GUI: fix WebGUI cannot be opened via context menu (GitHub issue #4)

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 09 Jan 2019 23:00:00 -0000

ros-kinetic-rcdiscover (0.9.0-1xenial) xenial; urgency=high

  * CLI: print model
  * extend CLI interface (SW-302)
    * reset
    * forceip
    * reconnect
  * show model on GUI (SW-300)
  * GUI: show complete package version in about dialog
  * fixed hidden buttons for Ubuntu Bionic

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 18 Dec 2018 23:00:00 -0000

ros-kinetic-rcdiscover (0.8.0-1xenial) xenial; urgency=high

  * add opying device info to clipboard
  * add device filter text field
  * Changed some dialog workflows
  * Added KUKA to manufacturer filter

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 11 Nov 2018 23:00:00 -0000

ros-kinetic-rcdiscover (0.7.0-1xenial) xenial; urgency=high

  * Added possibility to filter for name, serial number and mac address to command line tool
  * include <array> in utils

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 04 Jan 2018 23:00:00 -0000

ros-kinetic-rcdiscover (0.6.0-1xenial) xenial; urgency=high

  * add force IP command: setting of temporary IP address
  * add -serialonly flag for command line tool

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 08 Nov 2017 23:00:00 -0000

ros-kinetic-rcdiscover (0.5.0-1xenial) xenial; urgency=high

  * Optional disabling of RP filtering during installation on Ubuntu
  * Directed broadcasts on Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 28 Sep 2017 22:00:00 -0000

ros-kinetic-rcdiscover (0.4.2-1xenial) xenial; urgency=high

  * add Desktop files and icons for debian
  * Disabled vectorization and binding to CUDA

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 30 Aug 2017 22:00:00 -0000

ros-kinetic-rcdiscover (0.4.1-1xenial) xenial; urgency=high

  * Fixed bug that prevented the main window from being closed once the help dialog was opened from the reset dialog

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 20 Aug 2017 22:00:00 -0000

ros-kinetic-rcdiscover (0.4.0-1xenial) xenial; urgency=high

  * Help buttons

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-kinetic-rcdiscover (0.3.2-1xenial) xenial; urgency=high

  * Build console application as Windows console application
  * Sign with SHA512

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 05 Jul 2017 22:00:00 -0000

ros-kinetic-rcdiscover (0.3.1-1xenial) xenial; urgency=high

  * Fixed rcdiscover console application

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 03 Jul 2017 22:00:00 -0000

ros-kinetic-rcdiscover (0.3.0-1xenial) xenial; urgency=high

  * Global broadcast instead of directed
  * add reachability check via ping

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 03 Jul 2017 22:00:00 -0000

ros-kinetic-rcdiscover (0.2.0-1xenial) xenial; urgency=high

  * Removed IP address form from Reset Dialog

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 28 Jun 2017 22:00:00 -0000

ros-kinetic-rcdiscover (0.1.0-1xenial) xenial; urgency=high

  * Initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 25 Jun 2017 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rcdiscover
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), cmake
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rcdiscover
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-catkin
Description: This package contains tools for the discovery of Roboception devices via GigE Vision.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rcdiscover//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
